## Bsoft program

# dimgstats

### Usage: dimgstats [options] input.images

Calculates statistical measures within a set of images or between sets of images.
Corresponding pixels are compared--i.e. pixel m in image 1 is compared to pixel m in image 2. Definitions: Variance var = Sum[ (rho - avg_rho)(rho - avg_rho) ] / (n - 1) numerator portion Vn = Sum[ (rho - avg_rho)(rho - avg_rho) ] Standard deviation std = sqrt( var ) Student's t-test (t) SD = sqrt[(Vn1 + Vn2)(1/m + 1/n) / (m + n - 2) ] approx. equal var t = ( avg1 - avg2 ) / SD unequal var t = ( avg1 - avg2 ) / sqrt[ var1/m + var2/n ] F-test F = var1 / var2 avg = average (mean), m = number of data points in set 1, n = number in set 2, rho = value of a given pixel at a given (x,y,z) coordinate SD = standard error of the difference of the means, sqrt = square root Sum = summation of. See Milligan and Flicker (1987) J. Cell Biol. 105:29-39 for a reference to the use of the Student's t-test in 3D electron microscopy. Any number of input images may be given and may include the wild card "*". (However, VMS does not support Unix style usage of wild cards) All images are converted to floating point.

### Actions:

-Ttest equal | Do a Student's t-test to compare two sets (equal/unequal).
-Ftest | Do a F-test to compare two sets.
-average | Compute an average image for each set.
-stdev | Compute a standard deviation image for each set.
-variance | Compute a variance image for each set.
-significance | Compute significance-level (probability) image.
-rescale -0.1,5.2 | Rescale input images to average, standard deviation.

### Parameters:

-datatype u | Force writing of a new data type
-sampling 1.5,1.5,1.5 | Sampling (A/pixel; a single value can be given).
-sets 10,12 | Number of input files in each set (default = single set).
-verbose 7 | Verbosity of output
-weights 0.1,0.3,0.9 | Weights for input files (default 1 for every file)

### Output:

-output name.img | base name for output image(s), suffix added based on action

Bsoft version 2.0.3-20180917 (64 bit)